%define debug_package %{nil}

Summary: CERN LDAP personnel database client
Name: phone
Version: 3
Release: 6.cern
Source6: %{name}-2.1.tgz
Source3: phone.1
Source4: phone.ldap
Source5: phone.wrapper
Source0: %{name}-%{version}.tgz
Patch2: phonebook-xldap.patch
Patch3: phonebook-3.2.patch
Patch4: phonebook-3.3.patch
Patch5: phonebook-3.4.patch
Patch6: phonebook-3.5.patch
Patch7: phonebook-3.5.1.patch
Patch8: phonebook-3.5.2.patch
Patch9: phonebook-3.5.3.patch
Patch10: phonebook-3.5.5.patch

Group: CERN/Utilities
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Jaroslaw.Polok@cern.ch
Vendor:  CERN 
License: GPL, redistributable
Requires: /usr/bin/tput
Requires: perl
Requires: perl-LDAP
BuildRequires: perl 
Patch1: phone-compilerwarnings.patch

%description
phonebook is the CERN LDAP phonebook client.
phone is the old CERN proprietary database client.
(removed in 3.6 version)

%changelog
* Wed Jan 06 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.6
- removed obsolete phone command.

* Thu Dec 10 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5.5
- fixed searching by office/building

* Thu Nov 26 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5.4
- added alternative search pattern for building/office
- added the wrapper for deprecating phone:
  http://cern.ch/ssb/ServiceChangeArchive/091130-Linux-Phonebook.htm

* Thu Nov 19 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5.3
- fixed bug with uninitialized values in printf
- added -t uac and -t type options.

* Fri Nov 06 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5.2
- fixed bug with some account info, added -t option

* Mon Nov 02 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5.1
- better handling of additional people data (organization..etc)

* Fri Oct 30 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.5
- add accounts information, ccid, etc ... better matching.

* Wed Aug 19 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.4
- another fix. apparently we have non numeric phone
  numbers in databases ... (7XXXX ...)

* Tue Aug 18 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.3
- more fixes

* Wed Aug 13 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.2
- few fixes for searching by phone number

* Wed May 27 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.1
- changed phonebook to use xldap.cern.ch

* Thu Oct 09 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 3.0
- provide more elaborated phonebook command (LDAP)

* Tue Oct 07 2008 Jan Iven <jan.iven@cern.ch> 2.1-99.cern
- deprecate "phone" command per wrapper as per IT-UDS
- add ldap-based "replacement"

* Wed Jul 02 2008 Jan Iven <jan.iven@cern.ch> 2.1-4.cern
- SLC5 version, .spec cleanup, remove old xwho

* Thu Aug 04 2004  Jan Iven <jan.iven@cern.ch> 2.1-3.cern
- changed ownership to root. me=idiot.

* Tue Jul 27 2004  Jan Iven <jan.iven@cern.ch> 2.1-2.cern
- replaced xwho by EOL message, old xwho is now xwho.deprecated, added
  phone man page

* Wed Aug 19 2003 Jaroslaw.Polok@cern.ch
- initial build

%prep

%setup 

tar -xzvf %{SOURCE6}

cp %{SOURCE3} phone.obsoleted.1

%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

cd %{name}-2.1/
%patch1 -p0

%build

cd %{name}-2.1/

make CC=gcc CFLAGS='%{optflags}'
mv phone phone.obsoleted

cd -

sed -i -e 's/\.SH SYNOPSIS/.SH WARNING - this command is now obsoleted !\n.SH SYNOPSIS/' -e 's/\.TH PHONE/.TH PHONE.OBSOLETED/g' phone.obsoleted.1

/bin/rm -f phonebook.1*

pod2man phonebook.pl > phonebook.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/%{_bindir}/phone
install -m 755 %{name}-2.1/phone.obsoleted $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 phonebook.pl $RPM_BUILD_ROOT/%{_bindir}/phonebook
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 phonebook.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 644 phone.obsoleted.1 $RPM_BUILD_ROOT/%{_mandir}/man1/



%files 
%defattr(-,root,root)
%{_bindir}/phone
%{_bindir}/phone.obsoleted
%{_bindir}/phonebook
%{_mandir}/man1/phonebook.1*
%{_mandir}/man1/phone.obsoleted.1*
